//
// SoftPixel Engine - Tutorial13 (MiniMatrix) - (29.1.2008)
//

#include "main.h"

// Global variables

SoftPixelDevice* spDevice           = 0;
SensitiveSoundDevice* spListener    = 0;

VideoDriver* spDriver               = 0;
SceneManager* spSmngr               = 0;
CollisionDetector* spCmngr          = 0;
UserControl* spControl              = 0;

Animator* spAnim8or                 = 0;
SpecialEffectsActor* spEffects      = 0;
StencilManager* spSclmngr           = 0;

// Some objects

Entity* player      = 0;
Camera* cam         = 0;

Entity* world       = 0;
Entity* ladder      = 0;
Entity* object      = 0;

Entity* lightStick  = 0;
Light* light1       = 0;
Light* light2       = 0;
Light* light3       = 0;
Sprite* lense       = 0;
Entity* switcher    = 0;
Entity* lamp        = 0;

Texture* tex[MAX_TEXTURES];
Sound* snd[MAX_SOUNDS];

CelShadow* Shadow1      = 0;

std::vector<PhysicObject*> PhysicObjectList;

Collision* collPhysics;

std::vector<DustCloud*> DustCloudList;

std::list<scene::SPickingObject> PickingList;
bool isRealTimeShadow = false;

#ifdef USE_SHADER
Shader* shFlashLight            = 0;
video::Texture* LightDepthTex   = 0;
video::Texture* LightTex        = 0;
#endif

// Something else

#if 0
const s32 ScrWidth      = 1280;
const s32 ScrHeight     = 1024;
bool const isFullScreen = true;
#else
const s32 ScrWidth      = 800;
const s32 ScrHeight     = 600;
const bool isFullScreen = false;
#endif

point2di MouseSpeed;
vector3df PlayerRotation;
s32 WalkSound = 0;







// ======================================================
