/*
 * **********************************
 *                                   *
 * HLC Games, Spiele und Software     *
 *                                     *
 * (c) Copyright 2003 - Lukas Hermanns  *
 *                                       *
 * ****************************************
 *  ___    ___    ___          _____
 * /\  \  /\  \  /\  \        /  ___\
 * \ \  \_\_\  \ \ \  \      /\  \__/
 *  \ \   ___   \ \ \  \     \ \  \
 *   \ \  \__/\  \ \ \  \____ \ \  \___
 *    \ \__\ \ \__\ \ \______\ \ \_____\
 *     \/__/  \/__/  \/______/  \/_____/
 *
 * ****************************************
 *
 * ********************** HLC SoftPixelEngine - (3.1.2008) ************************
 *
 * (c) Copyright 2008 - Lukas Hermanns
 *
 * Header for internal declerations
 *
 */

#ifndef __SP_INTERNALDECLERATIONS_H__
#define __SP_INTERNALDECLERATIONS_H__


#include "spStandard.hpp"


namespace sp
{


/* Internal global variables */

extern s32 __Screen_ColorDepth;

extern bool __isKey[__SP_KEYCODE_COUNT], __wasKey[__SP_KEYCODE_COUNT], __hitKey[__SP_KEYCODE_COUNT];
extern bool __isMouseKey[__SP_MOUSEKEY_COUNT], __wasMouseKey[__SP_MOUSEKEY_COUNT], __hitMouseKey[__SP_MOUSEKEY_COUNT];

extern s32 __CursorSpeedX, __CursorSpeedY, __MouseWheel;

extern bool __isLighting, __isFog;


} // /namespace sp


#endif









// ================================================================================
