/*
 * **********************************
 *                                   *
 * HLC Games, Spiele und Software     *
 *                                     *
 * (c) Copyright 2003 - Lukas Hermanns  *
 *                                       *
 * ****************************************
 *  ___    ___    ___          _____
 * /\  \  /\  \  /\  \        /  ___\
 * \ \  \_\_\  \ \ \  \      /\  \__/
 *  \ \   ___   \ \ \  \     \ \  \
 *   \ \  \__/\  \ \ \  \____ \ \  \___
 *    \ \__\ \ \__\ \ \______\ \ \_____\
 *     \/__/  \/__/  \/______/  \/_____/
 *
 * ****************************************
 *
 * ********************** HLC SoftPixelEngine - (3.1.2008) ************************
 *
 * (c) Copyright 2008 - Lukas Hermanns
 *
 * Header for texture saving BMP-fileformat
 *
 */

#ifndef __SP_TEXTURESAVER_BMP_H__
#define __SP_TEXTURESAVER_BMP_H__


#include "spStandard.hpp"
#include "spTextureManager.hpp"
#include "spTextureLoaderBMP.hpp"


namespace sp
{
namespace video
{


class SP_EXPORT TextureSaverBMP : public TextureSaverRAW
{
    
    public:
        
        TextureSaverBMP(io::stringc &Filename);
        ~TextureSaverBMP();
        
        bool saveImageData(textureRAWInfo* texture);
        
};


} // /namespace video

} // /namespace sp


#endif






// ================================================================================
