/*
 * **********************************
 *                                   *
 * HLC Games, Spiele und Software     *
 *                                     *
 * (c) Copyright 2003 - Lukas Hermanns  *
 *                                       *
 * ****************************************
 *  ___    ___    ___          _____
 * /\  \  /\  \  /\  \        /  ___\
 * \ \  \_\_\  \ \ \  \      /\  \__/
 *  \ \   ___   \ \ \  \     \ \  \
 *   \ \  \__/\  \ \ \  \____ \ \  \___
 *    \ \__\ \ \__\ \ \______\ \ \_____\
 *     \/__/  \/__/  \/______/  \/_____/
 *
 * ****************************************
 *
 * ********************** HLC SoftPixelEngine - (3.1.2008) ************************
 *
 * (c) Copyright 2008 - Lukas Hermanns
 *
 * Movies
 *
 */

#include "spVideoDriverMovie.hpp"
#include "spMovieSequencePacket.hpp"


namespace sp
{
namespace video
{
namespace movie
{


Movie::Movie() : DataPointer_(0)
{
}
Movie::Movie(io::stringc Filename, s32 DataPointer) : DataPointer_(DataPointer)
{
    Filename_ = Filename;
}
Movie::~Movie()
{
}

dim::size2di Movie::getSize() const
{
    return ((SMovieSequencePacket*)DataPointer_)->Size;
}


} // /namespace movie

} // /namespace video

} // /namespace sp







// ================================================================================
