/*
 * **********************************
 *                                   *
 * HLC Games, Spiele und Software     *
 *                                     *
 * (c) Copyright 2003 - Lukas Hermanns  *
 *                                       *
 * ****************************************
 *  ___    ___    ___          _____
 * /\  \  /\  \  /\  \        /  ___\
 * \ \  \_\_\  \ \ \  \      /\  \__/
 *  \ \   ___   \ \ \  \     \ \  \
 *   \ \  \__/\  \ \ \  \____ \ \  \___
 *    \ \__\ \ \__\ \ \______\ \ \_____\
 *     \/__/  \/__/  \/______/  \/_____/
 *
 * ****************************************
 *
 * ********************** HLC SoftPixelEngine - (3.1.2008) ************************
 *
 * (c) Copyright 2008 - Lukas Hermanns
 *
 * Shader file
 *
 */

#include "spVideoDriverShader.hpp"


namespace sp
{
namespace video
{


Shader::Shader()
    : CurrentShader_(SHADER_VERTEX), pShaderCallbackProc_(0), HighLevelLanguage_(false)
{
}
Shader::~Shader()
{
}

void Shader::bind() { }
void Shader::unbind() { }

void Shader::setConstant(s32 Number, EConstantTypes Type, const f32 Value) { }
void Shader::setConstant(s32 Number, EConstantTypes Type, dim::vector3df Position) { }
void Shader::setConstant(s32 Number, EConstantTypes Type, video::color Color) { }
void Shader::setConstant(s32 Number, EConstantTypes Type, dim::matrix4f &Matrix) { }
void Shader::setConstant(s32 Number, EConstantTypes Type, const f32* pFloats, int Count) { }

bool Shader::setConstant(io::stringc Name, const f32 Value) { return false; }
bool Shader::setConstant(io::stringc Name, dim::vector3df Position) { return false; }
bool Shader::setConstant(io::stringc Name, video::color Color) { return false; }
bool Shader::setConstant(io::stringc Name, dim::matrix4f &Matrix) { return false; }
bool Shader::setConstant(io::stringc Name, const f32* pFloats, int Count) { return false; }

bool Shader::setConstant(const f32* pFloats, s32 StartRegister, s32 ConstAmount) { return false; }


} // /namespace scene

} // /namespace sp







// ================================================================================
