/*
 * **********************************
 *                                   *
 * HLC Games, Spiele und Software     *
 *                                     *
 * (c) Copyright 2003 - Lukas Hermanns  *
 *                                       *
 * ****************************************
 *  ___    ___    ___          _____
 * /\  \  /\  \  /\  \        /  ___\
 * \ \  \_\_\  \ \ \  \      /\  \__/
 *  \ \   ___   \ \ \  \     \ \  \
 *   \ \  \__/\  \ \ \  \____ \ \  \___
 *    \ \__\ \ \__\ \ \______\ \ \_____\
 *     \/__/  \/__/  \/______/  \/_____/
 *
 * ****************************************
 *
 * ********************** HLC SoftPixelEngine - (3.1.2008) ************************
 *
 * (c) Copyright 2008 - Lukas Hermanns
 *
 * Header for the "Ray" textured geometry
 *
 */

#ifndef __SP_RAYTEXTUREDGEOMETRY_H__
#define __SP_RAYTEXTUREDGEOMETRY_H__


#include "spRaySoftwareRenderer.h"


/*
 * Static functions
 */

RAYAPI void rayDrawPoint();

RAYAPI void rayDrawLine();

RAYAPI void rayDrawLineStrip();

RAYAPI void rayDrawRectangle();

RAYAPI void rayDrawTriangle();


RAYAPI void rayDrawRectangleSelected(RAYenum Type);

RAYAPI void rayDrawImage2DFast(RAYuint TexID, RAYint x, RAYint y);


#endif







// ================================================================================
