/*
 * **********************************
 *                                   *
 * HLC Games, Spiele und Software     *
 *                                     *
 * (c) Copyright 2003 - Lukas Hermanns  *
 *                                       *
 * ****************************************
 *  ___    ___    ___          _____
 * /\  \  /\  \  /\  \        /  ___\
 * \ \  \_\_\  \ \ \  \      /\  \__/
 *  \ \   ___   \ \ \  \     \ \  \
 *   \ \  \__/\  \ \ \  \____ \ \  \___
 *    \ \__\ \ \__\ \ \______\ \ \_____\
 *     \/__/  \/__/  \/______/  \/_____/
 *
 * ****************************************
 *
 * ********************** HLC SoftPixelEngine - (3.1.2008) ************************
 *
 * (c) Copyright 2008 - Lukas Hermanns
 *
 * Header for texture loading PNG-fileformat
 *
 */

#ifndef __SP_TEXTURELOADER_PNG_H__
#define __SP_TEXTURELOADER_PNG_H__


#include "spStandard.hpp"
#include "spTextureManager.hpp"


namespace sp
{
namespace video
{


class SP_EXPORT TextureLoaderPNG : public TextureLoaderRAW
{
    
    public:
        
        TextureLoaderPNG(io::stringc &Filename);
        ~TextureLoaderPNG();
        
        textureRAWInfo* loadImageData();
        
    private:
        
        /* Functions */
        
        void getPNGInfo(s32 ColorType, textureRAWInfo* TextureInfo);
        
};


} // /namespace video

} // /namespace sp


#endif






// ================================================================================
